{
  inputs,
  lib,
  systemConfig,
  ...
}:

{
  imports = [
    inputs.sops-nix.nixosModules.sops
  ];

  sops = {
    defaultSopsFile = lib.custom.relativeToRoot "shared/secrets/secrets.yaml";
    defaultSopsFormat = "yaml";

    age.keyFile = "/home/${systemConfig.username}/.config/sops/age/keys.txt";
    secrets.password-hash.neededForUsers = true;
  };
}
